%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           memchan
Version:        2.2.1
Release:        7%{?dist}
Summary:        In-memory channels for Tcl

Group:          Development/Libraries
# All files MIT except isaac/rand.h and isaac/randport.c which
# are public domain.
License:        MIT and Public Domain
URL:            http://memchan.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:         memchan-2.2.1-configure.patch
Patch1:         memchan-2.2.1-vpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tcl-devel
Requires:       tcl(abi) = 8.5

%description
Memchan is an extension library to the script language Tcl, as created by John
Ousterhout. It provides several new channel types for in-memory channels and
the appropriate commands for their creation.

%package devel
Summary: Development files for compiling against the Tcl memchan extension
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Development files for compiling against the Tcl memchan extension

%prep
%setup -q
%patch0
%patch1


%build
%configure --enable-threads --libdir=%{tcl_sitearch}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove a man page that conflicts with tclib
rm -f $RPM_BUILD_ROOT%{_mandir}/mann/random.n

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/license.terms doc/*.html ChangeLog
%{_mandir}/mann/*.gz
%dir %{tcl_sitearch}/Memchan%{version}
%{tcl_sitearch}/Memchan%{version}/*.so
%{tcl_sitearch}/Memchan%{version}/*.tcl

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{tcl_sitearch}/Memchan%{version}/*.a



%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Wart <wart at kobold.org> - 2.2.1-5
- Remove man page conflicting with tcllib

* Sat Feb 9 2008 Wart <wart at kobold.org> - 2.2.1-4
- Rebuild for gcc 4.3
- Better download url
- Install into new directory for tcl 8.5

* Mon Aug 20 2007 Wart <wart at kobold.org> - 2.2.1-3
- License tag clarification

* Wed Nov 29 2006 Wart <wart at kobold.org> - 2.2.1-2
- Fix unowned directory

* Mon Nov 27 2006 Wart <wart at kobold.org> - 2.2.1-1
- Initial package for Fedora
